phpmyadmin安装:Warning: require_once(./libraries/com


安装好PHPmyAdmin后,在IE里访问时会出现下面的这种错误:

Warning: require_once(./libraries/common.inc.php) [function.require-once]: failed to open stream: No such file or directory in X:xxxxxxphpmyadminindex.php on line 34

Fatal error: require_once() [function.require]: Failed opening required './libraries/common.inc.php' (include_path='.;C:php5pear') in X:xxxxxxphpmyadminindex.php on line 34

common.inc.php这个文件是存在的,而且系统中php也不装在C盘根目录下,怎么会有这样的提示呢?

经过一阵调试终于发现解决方法:

原来phpmyadmin的安装目录的上级目录权限不够,这时给上级目录加上IIS匿名User的“读取和运行”权限,再打开phpmyadmin页面,成功!

[注意事项]:

不要把phpmyadmin解压安装在根目录,因为这样匿名用户就会拥有根目录的权限。

[本日志由 随然 于 2009-11-07 09:22 AM 编辑]
上一篇: 解决所有PHP5.1.X 5.3下的PHP空白页问题(使用于所有PHP程序)!
下一篇: win2003下IIS+php5.2.11+Mysql5.1+phpmyadmin环境安装配置
文章来自: 本站原创
引用通告: 查看所有引用 | 我要引用此文章
Tags: PHP 安装
相关日志:
评论: 1 | 引用: 0 | 查看次数: 9587
发表评论
昵 称:
密 码: 游客发言不需要密码.
邮 箱: 邮件地址支持Gravatar头像,邮箱地址不会公开.
网 址: 输入网址便于回访.
内 容:
验证码:
选 项:
虽然发表评论不用注册,但是为了保护您的发言权,建议您注册帐号.
字数限制 1 字 | UBB代码 关闭 | [img]标签 关闭